#include <iostream>

using namespace std;

int main () {
    int T, N, M;
    int o = 1;
    for(int k=0; k<T; k++) {
        int l[N][M];
        int u[N][M];
        for(int i=0; i<N; i++) {
            for(int j=0; j<M; j++) {
                cin>>l[i][j];
            }
        }
        for(int i=0; i<N; i++) {
            for(int j=0; j<M; j++) {
                cin>>u[i][j];
            }
        }

        for(int i=0; i<N; i++) {
            for(int j=0; j<M; j++) {
                if(l[i][j] != u[i][j]) {
                    o = 0;
                }
            }
        }
        if(o == 0) {
            cout<<"NE"<<endl;
        }
        else {
            cout<<"DA"<<endl;
            for(int i=0; i<N; i++) {
                for(int j=0; j<M; j++) {
                    cout<<l[i][j];
                }
            }
        }
    }
    
    return 0;
}